Comprehensive data protection for all workloads
Post Reply
91gsixty
Influencer
Posts: 14
Liked: 1 time
Joined: Jun 18, 2009 7:21 pm
Full Name: jeff Ferguson
Contact:

SQL 2008 version 10

Post by 91gsixty » Jun 18, 2009 7:24 pm

ERROR: SQL Server version (10.0) is not supported.

Is there a way to make use odbc using a native driver? or something to get to work with 2008

Ben Milligan
Expert
Posts: 173
Liked: 40 times
Joined: Jan 01, 2006 1:01 am
Contact:

Re: SQL 2008 version 10

Post by Ben Milligan » Jun 18, 2009 7:59 pm

Jeff;

As of right now, only SQL 2005 (Full or Express) is officially supported. There are efforts I know to include this in the future, and there may be a workaround, however it is not recommended, because it cannot be supportable by Veeam Support at this time.

Thanks!

Gostev
SVP, Product Management
Posts: 24787
Liked: 3519 times
Joined: Jan 01, 2006 1:01 am
Location: Baar, Switzerland
Contact:

Re: SQL 2008 version 10

Post by Gostev » Jun 18, 2009 8:07 pm

Jeff, Ben is correct. We are adding SQL 2008 support in Veeam Backup 4.0 release.

91gsixty
Influencer
Posts: 14
Liked: 1 time
Joined: Jun 18, 2009 7:21 pm
Full Name: jeff Ferguson
Contact:

Re: SQL 2008 version 10

Post by 91gsixty » Jun 19, 2009 2:03 pm

Gostev wrote:Jeff, Ben is correct. We are adding SQL 2008 support in Veeam Backup 4.0 release.

i guess the next q is : When is expected release of 4.0?

Gostev
SVP, Product Management
Posts: 24787
Liked: 3519 times
Joined: Jan 01, 2006 1:01 am
Location: Baar, Switzerland
Contact:

Re: SQL 2008 version 10

Post by Gostev » Jun 19, 2009 2:11 pm

This is getting to be a FAQ :D
We plan to RTM by the end of Q3 2009

mmx
Lurker
Posts: 2
Liked: never
Joined: Jun 25, 2009 8:50 am
Full Name: Klaus

Re: SQL 2008 version 10

Post by mmx » Jun 25, 2009 8:58 am

SQL 2008 is not supported? This is really poor! This version of MSSQL is available for almost one year!

But the really annoying thing is following: I can SUCCESSFULLY install Veeam Backup and specify a SQL 2008 instance - I dont get a warning message at this point. But I get an error as I try to start the program! But now its too late, I cannot choose another SQL instance, I have to uninstall Veeam and do a new install. So sick... :evil:

Gostev
SVP, Product Management
Posts: 24787
Liked: 3519 times
Joined: Jan 01, 2006 1:01 am
Location: Baar, Switzerland
Contact:

Re: SQL 2008 version 10

Post by Gostev » Jun 25, 2009 11:08 am

Klaus, unfortunately as much as we wish we could, we simple cannot deliver all functionality and support all existing platforms at once for obvious reasons. Instead, we are moving in small steps, prioritizing features according to feedback we receive from our customers. In other words, we are not looking at how old specific platform is, it does not matter - if there are no requests to support it, it gets low priority. And as you can see from this forum, SQL 2008 was not requested too often before... right now we started to get requests for SQL 2008 support, which is why we are adding support for it in the next release.

mmx
Lurker
Posts: 2
Liked: never
Joined: Jun 25, 2009 8:50 am
Full Name: Klaus

Re: SQL 2008 version 10

Post by mmx » Jun 25, 2009 12:18 pm

I don't expect that every platform is supported. But why doesn't the installer send a warning message, so that I could choose another SQL instance (9.0)?

Gostev
SVP, Product Management
Posts: 24787
Liked: 3519 times
Joined: Jan 01, 2006 1:01 am
Location: Baar, Switzerland
Contact:

Re: SQL 2008 version 10

Post by Gostev » Jun 25, 2009 12:50 pm

This happens because installer does not expect that the product will be installed on SQL 2008, since this is against the documented system requirements. Thus the database check logic implemented in version 1.0 in 2007 was never revisited...

Post Reply

Who is online

Users browsing this forum: No registered users and 59 guests